Get audit logs for team
Export & Logs
Get audit logs for team
GET
Get audit logs for team
Documentation Index
Fetch the complete documentation index at: https://projectdiscovery-feat-gsoc.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Filtering Audit Logs
This endpoint supports multiple filter parameters to help you narrow down audit log entries:Date Filters
start_dateandend_date: Filter logs by custom date rangetime_range: Use predefined time ranges for quick filteringcurrent_month- Logs from the current monthlast_month- Logs from the previous monthlast_3_months- Logs from the last 3 monthslast_6_months- Logs from the last 6 monthslast_12_months- Logs from the last 12 months
Additional Filters
email: Filter by specific user emailaction: Filter by specific action name (e.g., endpoint path)source: Filter by the source of the audit log entryapi- Actions performed via APIplatform- Actions performed via the web platformunknown- Actions from unknown sources
Pagination
limit: Number of rows to return (default: 100, max: 100)offset: Number of rows to skip for pagination
Example Usage
Filter logs from the last month for a specific user:Authorizations
Headers
Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team
Query Parameters
filter by specific user
filter by specific action name
number of rows to skip
number of rows to get
start date from which you want to get logs
end date till which you want to get logs
time range to get logs
Available options:
current_month, last_month, last_3_months, last_6_months, last_12_months filter by source of the audit log entry
Available options:
api, platform, unknown